Debian Bug report logs - #390832
ITA: xautomation -- Control X from the command line, and find things on the screen

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Aníbal Monsalve Salazar <anibal@debian.org>

Date: Tue, 3 Oct 2006 09:33:55 UTC

Owned by: kapil@debian.org

Severity: normal

Fixed in version xautomation/0.99-1

Done: Kapil Hari Paranjape <kapil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#390832; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: submit@bugs.debian.org
Subject: O: xautomation -- Control X from the command line, and find things on the screen
Date: Tue, 3 Oct 2006 19:25:27 +1000
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of xautomation, Aurelien Jarno,
has orphaned it.

If you want to be the new maintainer, please take it. See
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions about how to adopt a package properly.

Some information about this package:

Package: xautomation
Priority: extra
Section: x11
Installed-Size: 108
Maintainer: Debian QA Group <packages@qa.debian.org>
Architecture: i386
Version: 0.96-5
Depends: libc6 (>= 2.3.6-6), libpng12-0 (>= 1.2.8rel), libx11-6, libxtst6
Filename: pool/main/x/xautomation/xautomation_0.96-5_i386.deb
Size: 25052
MD5sum: d693db7052d911ef3058ac94fcfd81d4
SHA1: 38a46f3083706a87f883f778fa230c17f929fc4f
SHA256: 8681634e899dda605e063d7e1805afe7d6499d795c913a9d9823cd9e4d8bd820
Description: Control X from the command line, and find things on the screen
 Control X from the command line for scripts, and do "visual scraping" to
 find things on the screen. The control interface allows mouse movement,
 clicking, button up/down, key up/down, etc, and uses the XTest extension so
 you don't have the annoying problems that xse has when apps ignore sent
 events. The visgrep program find images inside of images and reports the
 coordinates, allowing programs to find buttons, etc, on the screen to click
 on.
 .
  Homepage: http://hoopajoo.net/projects/xautomation.html
  Author:   Steve Slaven <bpk@hoopajoo.net>
Tag: interface::commandline, role::sw:utility, x11::application

Package: xautomation
Binary: xautomation
Version: 0.96-5
Priority: extra
Section: x11
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 4.0.0), libxtst-dev, libx11-dev, libpng-dev
Architecture: any
Standards-Version: 3.7.2
Format: 1.0
Directory: pool/main/x/xautomation
Files:
 8211fb4a4612c65d54b8f9ea08e77f8f 618 xautomation_0.96-5.dsc
 55f1247f9e25d57ba23e9e9f3cf5f87e 73335 xautomation_0.96.orig.tar.gz
 4490e11270b5c671bf3f757158383e49 17078 xautomation_0.96-5.diff.gz


Aníbal Monsalve Salazar
--
http://v7w.com/anibal
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `ITA: xautomation -- Control X from the command line, and find things on the screen' from `O: xautomation -- Control X from the command line, and find things on the screen'. Request was from Kapil Hari Paranjape <kapil@imsc.res.in> to control@bugs.debian.org. (Thu, 13 Dec 2007 15:45:06 GMT) Full text and rfc822 format available.

Owner recorded as kapil@imsc.res.in. Request was from Kapil Hari Paranjape <kapil@imsc.res.in> to control@bugs.debian.org. (Thu, 13 Dec 2007 15:45:07 GMT) Full text and rfc822 format available.

Owner changed from kapil@imsc.res.in to kapil@debian.org. Request was from Kapil Hari Paranjape <kapil@imsc.res.in> to control@bugs.debian.org. (Fri, 14 Dec 2007 06:21:09 GMT) Full text and rfc822 format available.

Reply sent to Kapil Hari Paranjape <kapil@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 390832-close@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@debian.org>
To: 390832-close@bugs.debian.org
Subject: Bug#390832: fixed in xautomation 0.99-1
Date: Mon, 17 Dec 2007 05:32:02 +0000
Source: xautomation
Source-Version: 0.99-1

We believe that the bug you reported is fixed in the latest version of
xautomation, which is due to be installed in the Debian FTP archive:

xautomation_0.99-1.diff.gz
  to pool/main/x/xautomation/xautomation_0.99-1.diff.gz
xautomation_0.99-1.dsc
  to pool/main/x/xautomation/xautomation_0.99-1.dsc
xautomation_0.99-1_arm.deb
  to pool/main/x/xautomation/xautomation_0.99-1_arm.deb
xautomation_0.99.orig.tar.gz
  to pool/main/x/xautomation/xautomation_0.99.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 390832@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kapil Hari Paranjape <kapil@debian.org> (supplier of updated xautomation package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 17 Dec 2007 08:30:09 +0530
Source: xautomation
Binary: xautomation
Architecture: source arm
Version: 0.99-1
Distribution: unstable
Urgency: low
Maintainer: Kapil Hari Paranjape <kapil@debian.org>
Changed-By: Kapil Hari Paranjape <kapil@debian.org>
Description: 
 xautomation - Control X from the command line, and find things on the screen
Closes: 390832 415451
Changes: 
 xautomation (0.99-1) unstable; urgency=low
 .
   * New Maintainer. Closes: #390832.
     Thanks to Aurelien Jarno, the previous maintainer.
   * New Upstream Release (0.99)
     - Added support for non-US keyboards. Closes: #415451.
       Thanks to Mitchell N Charity for pointing this out.
     - New binary "xmousepos".
   * debian/rules:
     - removed "rm -f kbd.h" from "clean" rule.
     - changed "make" and "rm" calls in "clean" rule
       to catch errors.
     - added patch/unpatch rules using "quilt".
   * debian/control:
     - Standards Version 3.7.3. No changes required.
     - Moved Homepage to its own field.
     - Removed author name from package description.
     - added "quilt" to Build-Depends.
   * debian/visgrep.1: Fixed hyphen-used-as-minus-sign.
   * debian/xmousepos.1: Added this manpage as none is provided
     upstream.
   * debian/manpages: Added entry for "xmousepos.1" manpage.
   * debian/patches:
     - avoid_extra_libs:
       + patched "configure" to avoid linking all
         the binaries with "libpng".
       + patched "Makefile.in" to avoid linking "xmousepos"
         with "libXtst".
     - avoid_extra_libs_upstream:
       + above patches applied to "configure.in" and "Makefile.am"
         for upstream sources.
       + This patch not used by quilt to avoid extract "configure"
         calls during build.
   * debian/copyright: Added clarifications regarding the location of
     license assertions.
   * debian/*.[1-7]: Added copyright assertions at the beginning and
     authorship remark at the end of all manpages.
Files: 
 4ac8f6ad19e288d660ea0637c8c62705 679 x11 extra xautomation_0.99-1.dsc
 ee5f5f390932795be17166d88e90a782 89884 x11 extra xautomation_0.99.orig.tar.gz
 47f2a31d1647219477322f4b1171be27 6942 x11 extra xautomation_0.99-1.diff.gz
 799e143737b51be93f915aeacf9844e9 29588 x11 extra xautomation_0.99-1_arm.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHZgUESR+P2lQW5bgRAk0zAJ9GqGrBH1R6Xd8VRQHUV+sZjeKlGACeO0be
Pkl5r/lwTFRtJnDVfzGBK38=
=TJAd
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 12:51:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:11:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.